package com.inspect.patrolresultdefault.service;

import com.inspect.patrolresultdefault.domain.PatrolResultDefaultValue;

import java.util.List;

public interface IPatrolResultDefaultValueService {
    PatrolResultDefaultValue selectPatrolResultDefaultValueByResultDefaultValueId(Long defaultValueId);

    List<PatrolResultDefaultValue> selectPatrolResultDefaultvalueList(PatrolResultDefaultValue defaultValue);

    int insertPatrolResultDefaultValue(PatrolResultDefaultValue defaultValue);

    int updatePatrolResultDefaultValue(PatrolResultDefaultValue defaultValue);

    int deletePatrolResultDefaultValueByResultDefaultValueIds(Long[] defaultValueIds);

    int deletePatrolResultDefaultValueByResultDefaultValueId(Long defaultValueId);
}
